<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.7/dist/umd/popper.min.js"
        integrity="sha384-zYPOMqeu1DAVkHiLqWBUTcbYfZ8osu1Nd6Z89ify25QV9guujx43ITvfi12/QExE"
        crossorigin="anonymous"></script>
    <style>
        .encabezado,
        .pie {
            background-color: greenyellow;
            height: 100px;
        }

        .rosa {
            background-color: pink;
            height: 100px;
        }

        .lateral {
            background-color: red;

        }

        .azul {
            background-color: blue;
            height: 100px;
        }

        .naranja {
            background-color: orange;
            height: 150px;
        }

        .pie,
        .encabezado,
        .rosa,
        .lateral,
        .azul,
        .naranja,
        .principal {
            border: 2px solid black;
        }

        /*
        Como lateral no tiene height en la resolucion xs desaparece
        Para eso, usamos la media query para ponerlo un height
        */
        @media screen and (max-width:768px) {
            .lateral {
                height: 100px;
            }
        }
    </style>

</head>

<body>
    <div class="container-fluid">
        <div class="row">
            <div class="col-12 encabezado"></div>
        </div>
        <div class="row">
            <div class="col-xl-3 col-md-2 col-xs-12 lateral"></div>
            <div class="col-xl-9 col-md-10 principal">
                <div class="row">
                    <div class="rosa"></div>
                    <div class="naranja col-xl-6 "></div>
                    <div class="naranja col-xl-6"></div>
                    <div class="azul col-xl-2 col-md-4 col-6"></div>
                    <div class="azul col-xl-2 col-md-4 col-6"></div>
                    <div class="azul col-xl-4 col-md-4 col-6"></div>
                    <div class="azul col-xl-2 col-md-4 col-6"></div>
                    <div class="azul col-xl-2 col-md-4 col-6"></div>
                    <div class="azul col-xl-2 col-md-4 col-6"></div>
                    <div class="azul col-xl-2 col-md-4 col-6"></div>
                    <div class="azul col-xl-4 col-md-4 col-6"></div>
                    <div class="azul col-xl-2 col-md-4 col-6"></div>
                    <div class="azul col-xl-2 col-md-4 col-6"></div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12 pie"></div>
        </div>
    </div>

</body>

</html>